Main Page Widgets glibmm Namespaces Book

# keyfile.h File Reference

## Namespaces

namespace | Glib

## Classes

class | Glib::KeyFileError
| Exception class for KeyFile errors. More...
class | Glib::KeyFile
| This class lets you parse, edit or create files containing groups of key-value pairs, which we call key files for lack of a better name. More...

## Enumerations

enum | Glib::KeyFileFlags { Glib::KEY_FILE_NONE = 0, Glib::KEY_FILE_KEEP_COMMENTS = 1 << 0, Glib::KEY_FILE_KEEP_TRANSLATIONS = 1 << 1 }

## Functions

KeyFileFlags | Glib::operator| (KeyFileFlags lhs, KeyFileFlags rhs)
KeyFileFlags | Glib::operator& (KeyFileFlags lhs, KeyFileFlags rhs)
KeyFileFlags | Glib::operator^ (KeyFileFlags lhs, KeyFileFlags rhs)
KeyFileFlags | Glib::operator~ (KeyFileFlags flags)
KeyFileFlags& | Glib::operator|= (KeyFileFlags& lhs, KeyFileFlags rhs)
KeyFileFlags& | Glib::operator&= (KeyFileFlags& lhs, KeyFileFlags rhs)
KeyFileFlags& | Glib::operator^= (KeyFileFlags& lhs, KeyFileFlags rhs)